summaryrefslogtreecommitdiff
path: root/tests/readlink/can-f
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2012-04-03 20:32:44 +0200
committerJim Meyering <meyering@redhat.com>2012-04-04 12:20:56 +0200
commite43d30eab3215bc9ff49ec7db3d3e2baa95ba070 (patch)
treeb3828ca5bdc794f9b8648af1996d2863663c8590 /tests/readlink/can-f
parent64ecea53d9b4c1ecbf6d02ff8c4ae98b3a82e9a2 (diff)
downloadcoreutils-e43d30eab3215bc9ff49ec7db3d3e2baa95ba070.tar.xz
tests: convert nearly all `...` expressions to $(...)
Exempt init.sh because it runs before we're assured to have a shell that groks $(...). Exempt *.mk because "$" would have to be doubled, and besides, any `...` expression in a .mk file is almost certainly evaluated before init.sh is run. Finally, also exempt the perl-based tests, because perl's `...` cannot be converted to $(...). Do that by running this command: git grep -l '`.*`' tests \ | grep -Ev 'init\.sh|\.mk$' | xargs grep -Lw perl \ | xargs perl -pi -e 's/`(.*?)`/\$($1)/g' One minor fix-up change was required after that, due to how quoting differs: diff --git a/tests/chmod/equals b/tests/chmod/equals - expected_perms=$(eval 'echo \$expected_'$dest) + expected_perms=$(eval 'echo $expected_'$dest) Another was to make these required quoting adjustments: diff --git a/tests/misc/stty b/tests/misc/stty ... - rev=$(eval echo "\\\$REV_$opt") + rev=$(eval echo "\$REV_$opt") ... - rev1=$(eval echo "\\\$REV_$opt1") - rev2=$(eval echo "\\\$REV_$opt2") + rev1=$(eval echo "\$REV_$opt1") + rev2=$(eval echo "\$REV_$opt2") Also, transform two files that were needlessly excluded above: (both use perl, but are mostly bourne shell) perl -pi -e 's/`(.*?)`/\$($1)/g' \ tests/du/long-from-unreadable tests/init.cfg
Diffstat (limited to 'tests/readlink/can-f')
-rwxr-xr-xtests/readlink/can-f72
1 files changed, 36 insertions, 36 deletions
diff --git a/tests/readlink/can-f b/tests/readlink/can-f
index aff8c80ed..3f296010c 100755
--- a/tests/readlink/can-f
+++ b/tests/readlink/can-f
@@ -19,7 +19,7 @@
. "${srcdir=.}/init.sh"; path_prepend_ ../src
print_ver_ readlink
-pwd=`pwd`
+pwd=$(pwd)
my_pwd=$("$abs_top_builddir/src/pwd")
tmp=d
@@ -39,7 +39,7 @@ cd "$pwd/$tmp/removed" || framework_failure_
# Skip this test if the system doesn't let you remove the working directory.
if rmdir ../removed 2>/dev/null; then
- v=`readlink -e .` && fail=1
+ v=$(readlink -e .) && fail=1
test -z "$v" || fail=1
fi
@@ -47,106 +47,106 @@ cd "$pwd/$tmp" || fail=1
for p in "" "$pwd/$tmp/"; do
- v=`readlink -f "${p}regfile"` || fail=1
+ v=$(readlink -f "${p}regfile") || fail=1
test "$v" = "$my_pwd/$tmp/regfile" || fail=1
- v=`readlink -f "${p}./regfile/"` && fail=1
+ v=$(readlink -f "${p}./regfile/") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}regfile/more"` && fail=1
+ v=$(readlink -f "${p}regfile/more") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}./regfile/more/"` && fail=1
+ v=$(readlink -f "${p}./regfile/more/") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}subdir"` || fail=1
+ v=$(readlink -f "${p}subdir") || fail=1
test "$v" = "$my_pwd/$tmp/subdir" || fail=1
- v=`readlink -f "${p}./subdir/"` || fail=1
+ v=$(readlink -f "${p}./subdir/") || fail=1
test "$v" = "$my_pwd/$tmp/subdir" || fail=1
- v=`readlink -f "${p}subdir/more"` || fail=1
+ v=$(readlink -f "${p}subdir/more") || fail=1
test "$v" = "$my_pwd/$tmp/subdir/more" || fail=1
- v=`readlink -f "${p}./subdir/more/"` || fail=1
+ v=$(readlink -f "${p}./subdir/more/") || fail=1
test "$v" = "$my_pwd/$tmp/subdir/more" || fail=1
- v=`readlink -f "${p}missing"` || fail=1
+ v=$(readlink -f "${p}missing") || fail=1
test "$v" = "$my_pwd/$tmp/missing" || fail=1
- v=`readlink -f "${p}./missing/"` || fail=1
+ v=$(readlink -f "${p}./missing/") || fail=1
test "$v" = "$my_pwd/$tmp/missing" || fail=1
- v=`readlink -f "${p}missing/more"` && fail=1
+ v=$(readlink -f "${p}missing/more") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}./missing/more/"` && fail=1
+ v=$(readlink -f "${p}./missing/more/") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}link1"` || fail=1
+ v=$(readlink -f "${p}link1") || fail=1
test "$v" = "$my_pwd/$tmp/regfile" || fail=1
- v=`readlink -f "${p}./link1/"` && fail=1
+ v=$(readlink -f "${p}./link1/") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}link1/more"` && fail=1
+ v=$(readlink -f "${p}link1/more") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}./link1/more/"` && fail=1
+ v=$(readlink -f "${p}./link1/more/") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}link2"` || fail=1
+ v=$(readlink -f "${p}link2") || fail=1
test "$v" = "$my_pwd/$tmp/subdir" || fail=1
- v=`readlink -f "${p}./link2/"` || fail=1
+ v=$(readlink -f "${p}./link2/") || fail=1
test "$v" = "$my_pwd/$tmp/subdir" || fail=1
- v=`readlink -f "${p}link2/more"` || fail=1
+ v=$(readlink -f "${p}link2/more") || fail=1
test "$v" = "$my_pwd/$tmp/subdir/more" || fail=1
- v=`readlink -f "${p}./link2/more/"` || fail=1
+ v=$(readlink -f "${p}./link2/more/") || fail=1
test "$v" = "$my_pwd/$tmp/subdir/more" || fail=1
- v=`readlink -f "${p}link2/more/more2"` && fail=1
+ v=$(readlink -f "${p}link2/more/more2") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}./link2/more/more2/"` && fail=1
+ v=$(readlink -f "${p}./link2/more/more2/") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}link3"` || fail=1
+ v=$(readlink -f "${p}link3") || fail=1
test "$v" = "$my_pwd/$tmp/missing" || fail=1
- v=`readlink -f "${p}./link3/"` || fail=1
+ v=$(readlink -f "${p}./link3/") || fail=1
test "$v" = "$my_pwd/$tmp/missing" || fail=1
- v=`readlink -f "${p}link3/more"` && fail=1
+ v=$(readlink -f "${p}link3/more") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}./link3/more/"` && fail=1
+ v=$(readlink -f "${p}./link3/more/") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}link4"` || fail=1
+ v=$(readlink -f "${p}link4") || fail=1
test "$v" = "$my_pwd/$tmp/subdir/missing" || fail=1
- v=`readlink -f "${p}./link4/"` || fail=1
+ v=$(readlink -f "${p}./link4/") || fail=1
test "$v" = "$my_pwd/$tmp/subdir/missing" || fail=1
- v=`readlink -f "${p}link4/more"` && fail=1
+ v=$(readlink -f "${p}link4/more") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}./link4/more"` && fail=1
+ v=$(readlink -f "${p}./link4/more") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}link5"` && fail=1
+ v=$(readlink -f "${p}link5") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}./link5/"` && fail=1
+ v=$(readlink -f "${p}./link5/") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}link5/more"` && fail=1
+ v=$(readlink -f "${p}link5/more") && fail=1
test -z "$v" || fail=1
- v=`readlink -f "${p}./link5/more"` && fail=1
+ v=$(readlink -f "${p}./link5/more") && fail=1
test -z "$v" || fail=1
done